FragCatalogUtils.h File Reference
`#include <GraphMol/Subgraphs/Subgraphs.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include "FragCatParams.h"`
`#include <iostream>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

MOL_SPTR_VECT | RDKit::readFuncGroups (std::string fileName)
MOL_SPTR_VECT | RDKit::readFuncGroups (std::istream &inStream, int nToRead=-1)
MatchVectType | RDKit::findFuncGroupsOnMol (const ROMol &mol, const FragCatParams *params, INT_VECT &fgBonds)
ROMol * | RDKit::prepareMol (const ROMol &mol, const FragCatParams *fparams, MatchVectType &aToFmap)